#!/bin/sh
# the next line restarts using wish \
exec wish "$0" "$@"

### This is a short, simple example.  It shows the difference
### between a default text widget and one that uses newText.

### To explore the newText options, try newTextDemoBindings.tcl
### To explore newText indentation, try newTextDemoIndent.tcl

# This string defines the text that will be displayed in each widget:
set message {QOTW:  "C/C++, which is used by 16% of users, is the most popular programming language, but Tcl, used by 0%, seems to be the language of choice for the highest scoring users."

example code {alph {bet {b}} {gam {c}}} {
    # Example code rich in punctuation
    if {!($alph eq "a" && $bet eq "b")} {
        puts "$gam $::messages::demo(d)"
    }
}
}
# End of string for widget text.

package require newText

#  Whether Shift-Button-1 ignores changes made by the kbd to the insert mark:
set ::newText::classicMouseSelect 0

#  Whether Shift-Button-1 has a variable or fixed anchor:
set ::newText::classicAnchor      0

# Whether to activate certain traditional "extra" bindings
variable classicExtras            1

#  Whether to use new or classic word boundary detection:
set ::newText::classicWordBreak   0

pack [text .right ] -side right
.right configure -width 37 -height 20 -wrap word -font {{Courier} -15} -bg white
.right insert end "  I use the newText bindings.\n\n$message"

bindtags .right {.right newText . all}

pack [text .left ] -side right
.left configure -width 37 -height 20 -wrap word -font {{Courier} -15} -bg #FFFFEE
.left insert end "  I use the (default) Text bindings.\n\n$message"
